gntplugin.h File Reference
Finch (GNT User Interface)
`#include <gnt.h>`
`#include <plugin.h>`
`#include <pluginpref.h>`
`#include <string.h>`
`#include "finch.h"`

Go to the source code of this file.

## Macros

#define | FINCH_PLUGIN_TYPE FINCH_UI
#define | PURPLE_IS_GNT_PLUGIN(plugin)
| Decide whether a plugin is a GNT-plugin. More...
#define | FINCH_PLUGIN_UI_INFO(plugin) (FinchPluginFrame)((plugin)->info->ui_info)
| Get the ui-info from GNT-plugins.

## Typedefs

typedef GntWidget *(* | FinchPluginFrame) (void)

## Functions

void | finch_plugins_show_all (void)
| Show a list of plugins.
void | finch_plugins_save_loaded (void)
| Save the list of loaded plugins.

## Detailed Description

GNT Plugins API

Definition in file gntplugin.h.

## Macro Definition Documentation

## PURPLE_IS_GNT_PLUGIN

#define PURPLE_IS_GNT_PLUGIN | ( |  | plugin | ) |

Value:
((plugin)->info != NULL && (plugin)->info->ui_info != NULL && \
purple_strequal((plugin)->info->ui_requirement, FINCH_PLUGIN_TYPE))

Decide whether a plugin is a GNT-plugin.

Definition at line 50 of file gntplugin.h.